using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication70
{
    class Program
    {
        struct frilenser
        {
            public int a;
            public double p;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            frilenser[] f=new frilenser[n];
            for (int i = 0; i < n; i++)
            {
                string[] r = Console.ReadLine().Split(' ');
                f[i].a = int.Parse(r[0]);
                f[i].p = double.Parse(r[1]);
            }
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                double s = 0;
                for (int j = 0; j < n; j++)
                {
                    if (f[j].p >= f[i].p)
                    {
                        s = s + f[j].a;
                    }
                }
                s = s * f[i].p / 100;
                if (max < s) max = s;
            }
            Console.WriteLine(max);
         
        }
    }
}